Skip to main content
POST
/
api
/
v1
/
sandbox
/
{sandbox_id}
/
auth
Get Sandbox Auth Token
curl --request POST \
  --url https://api.primeintellect.ai/api/v1/sandbox/{sandbox_id}/auth \
  --header 'Authorization: Bearer <token>'
{
  "token": "<string>",
  "gateway_url": "<string>",
  "user_ns": "<string>",
  "job_id": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt

Use this file to discover all available pages before exploring further.

Rate Limit

120 requests per 60 seconds per IP and token per sandbox.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sandbox_id
string
required

Response

Successful Response

token
string
required

JWT token for direct sandbox access

gateway_url
string
required

Gateway URL for direct sandbox operations

user_ns
string
required

User namespace for sandbox access

job_id
string
required

Job ID for sandbox access

expires_at
string<date-time>
required

Token expiration time